repo/gentoo:master commit in: dev-python/cffi/

Michał Górny <[email protected]> Tue, 04 Aug 2026 08:42:49 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785829443.dffce76502f40cc97a0fffda2277b4028b0d80b1.mgorny@gentoo>
commit:     dffce76502f40cc97a0fffda2277b4028b0d80b1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 05:39:38 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 07:44:03 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dffce765

dev-python/cffi: Bump to 2.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cffi/Manifest          |  1 +
 dev-python/cffi/cffi-2.1.1.ebuild | 74 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/dev-python/cffi/Manifest b/dev-python/cffi/Manifest
index 66e9b74065af..97cbf5e34af2 100644
--- a/dev-python/cffi/Manifest
+++ b/dev-python/cffi/Manifest
@@ -1,2 +1,3 @@
 DIST cffi-2.0.0.tar.gz 523588 BLAKE2B 2038eb1eeb89b1015ea40202cc5dc0da62989288a41cccf75baeea86051a085e28798e75ce0a74316c2f5bd94e83e0b89d3df6b97ee0f4f61dac301e239bb3e9 SHA512 a8bf705e626f6b5858cc20e9044a23fd653d155e2a2d4cb59f1eed00ef13ebd92d5a2f07738c66b361cb24d863786d4379dcd9c176250b546fbd45758e51d4f4
 DIST cffi-2.1.0.tar.gz 531036 BLAKE2B 1df5a789895b405d7f842008c49bf0551887d578796c6b3ecffbc8a6b3a8b60f3dcd4417a805f62dfc4deea7ed0119384d9edbb619d22468d3acae1ff1f264b1 SHA512 44c5e434580ba5ff1f2c23bbabe959d49e77a8823648eaab631c46f175c2b4ff3b96d5976b66ef33b93537674a1ba01e355cf836d40de7e2c0557a51f5fc7959
+DIST cffi-2.1.1.tar.gz 530807 BLAKE2B 5ceeb512dc6ec82685ca5e1ffb890f5764911138d1956e72a3f65d1a90b2c152a46bf5ad00a9857acceb04a562d66d253b68c02a22ddd41a6ad29e4340696c9a SHA512 60299646ae72e54155a3ca220f00a2b2fee079276a01ff13e30fb6af0d19b07fb4ae539af55e4704ce2081d34c4a3079ef43c0dcb2fe854f835f8441b348f7c5

diff --git a/dev-python/cffi/cffi-2.1.1.ebuild b/dev-python/cffi/cffi-2.1.1.ebuild
new file mode 100644
index 000000000000..bac5ff9ea2d8
--- /dev/null
+++ b/dev-python/cffi/cffi-2.1.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# DO NOT ADD pypy to PYTHON_COMPAT
+# pypy bundles a modified version of cffi. Use python_gen_cond_dep instead.
+PYTHON_COMPAT=( python3_{12..15} python3_{14..15}t )
+
+inherit distutils-r1 toolchain-funcs pypi
+
+DESCRIPTION="Foreign Function Interface for Python calling C code"
+HOMEPAGE="
+	https://cffi.readthedocs.io/
+	https://github.com/python-cffi/cffi/
+	https://pypi.org/project/cffi/
+"
+
+LICENSE="MIT-0"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+# Needs recent libffi for HPPA fixes
+DEPEND="
+	>=dev-libs/libffi-3.4.4-r1:=
+"
+# setuptools as a modern distutils provider
+RDEPEND="
+	${DEPEND}
+	dev-python/pycparser[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+"
+
+distutils_enable_sphinx doc/source
+EPYTEST_PLUGINS=()
+# xdist fails to collect the tests
+distutils_enable_tests pytest
+
+PATCHES=(
+	"${FILESDIR}"/cffi-1.14.0-darwin-no-brew.patch
+)
+
+src_prepare() {
+	if [[ ${CHOST} == *darwin* ]] ; then
+		# Don't obsessively try to find libffi
+		sed -i -e "s/.*\-iwithsysroot\/usr\/include\/ffi.*/\tpass/" setup.py || die
+	fi
+	distutils-r1_src_prepare
+}
+
+src_configure() {
+	tc-export PKG_CONFIG
+}
+
+python_test() {
+	local EPYTEST_IGNORE=(
+		# these tests call pip
+		testing/cffi0/test_zintegration.py
+	)
+	local EPYTEST_DESELECT=(
+		# Internet, https://github.com/python-cffi/cffi/issues/255
+		testing/cffi1/test_cffi_gen_src_meson.py::test_meson_python_build
+	)
+
+	"${EPYTHON}" -c "import _cffi_backend as backend" || die
+	epytest src/c testing
+}